const DynamicValue = require('html-validate').DynamicValue;

function processAttribute(attr){
	/* boolean attributes cannot be dynamic */
	if (!attr.value){
		return attr;
	}

	/* test if attribute contains interpolation */
	if (attr.value.match(/{{.*}}/)){
		attr.value = new DynamicValue(attr.value);
	}

	/* setup ng-attr-x alias */
	const ngAttr = attr.key.match(/^ng-attr-(.*)$/);
	if (ngAttr){
		attr.key = ngAttr[1];
		attr.value = new DynamicValue(attr.value);
	}

	return attr;
}

module.exports = processAttribute;
