const processAttribute = require('./attribute');
const DynamicValue = require('html-validate').DynamicValue;

test('should flag attributes with interpolation as dynamic', () => {
	expect(processAttribute({
		key: 'foo',
		value: 'foo{{ bar }}baz',
	})).toEqual({
		key: 'foo',
		value: expect.any(DynamicValue),
	});
	expect(processAttribute({
		key: 'foo',
		value: 'foobarbaz',
	})).toEqual({
		key: 'foo',
		value: 'foobarbaz',
	});
});

test('should handle ng-attr- as target attribute', () => {
	expect(processAttribute({
		key: 'ng-attr-foo',
		value: 'bar',
	})).toEqual({
		key: 'foo',
		value: expect.any(DynamicValue),
	});
});

test('should handle boolean attributes', () => {
	expect(processAttribute({
		key: 'foo',
		value: undefined,
	})).toEqual({
		key: 'foo',
		value: undefined,
	});
});
