const TemplateExtractor = require('html-validate').TemplateExtractor;
const processAttribute = require('./attribute');

function applyHooks(source){
	return Object.assign(source, {
		hooks: {
			processAttribute,
		},
	});
}

function angularTransformJS(filename){
	const te = TemplateExtractor.fromFilename(filename);
	const sources = te.extractObjectProperty('template');
	return sources.map(applyHooks);
}

function angularTransformHTML(filename){
	const sources = TemplateExtractor.createSource(filename);
	return sources.map(applyHooks);
}

module.exports = {
	angularTransformJS,
	angularTransformHTML,
};
