const HtmlValidate = require('html-validate').HtmlValidate;
const config = {
	extends: [
		"htmlvalidate:recommended",
	],

	transform: {
		"\\.js$": "<rootDir>/js",
		"\\.html$": "<rootDir>/html",
	},
};

test('should find errors in "component.js"', () => {
	const htmlvalidate = new HtmlValidate(config);
	const report = htmlvalidate.validateFile("test/component.js");
	expect(report.valid).toBeFalsy();
	expect(report.results).toMatchSnapshot();
});

test('should find errors in "route.js"', () => {
	const htmlvalidate = new HtmlValidate(config);
	const report = htmlvalidate.validateFile("test/route.js");
	expect(report.valid).toBeFalsy();
	expect(report.results).toMatchSnapshot();
});

test('should find errors in "route-params.js"', () => {
	const htmlvalidate = new HtmlValidate(config);
	const report = htmlvalidate.validateFile("test/route-params.js");
	expect(report.valid).toBeFalsy();
	expect(report.results).toMatchSnapshot();
});

test('should find errors in "template.html"', () => {
	const htmlvalidate = new HtmlValidate(config);
	const report = htmlvalidate.validateFile("test/template.html");
	expect(report.valid).toBeFalsy();
	expect(report.results).toMatchSnapshot();
});

test('"regressions.html"', () => {
	const htmlvalidate = new HtmlValidate(config);
	const report = htmlvalidate.validateFile("test/regressions.html");
	expect(report.valid).toBeTruthy();
	expect(report.results).toMatchSnapshot();
});
